<?php


/**
 * This class adds structure of 'katao_supplier' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoSupplierMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoSupplierMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_supplier');
		$tMap->setPhpName('KataoSupplier');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('KATAO_INDEX', 'KataoIndex', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('MEMBER_ID', 'MemberId', 'int', CreoleTypes::INTEGER, 'katao_member', 'ID', false, null);

		$tMap->addForeignKey('REFERER_ID', 'RefererId', 'int', CreoleTypes::INTEGER, 'katao_member', 'ID', false, null);

		$tMap->addColumn('NAME', 'Name', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('URL_IDENTIFIER', 'UrlIdentifier', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('PRESENTATION', 'Presentation', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('EMAIL', 'Email', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('ADDRESS1', 'Address1', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('ADDRESS2', 'Address2', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('ZIP', 'Zip', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('CITY', 'City', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('PHONE', 'Phone', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('FAX', 'Fax', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('WEBSITE', 'Website', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('GMAP_LNG', 'GmapLng', 'double', CreoleTypes::DOUBLE, false, null);

		$tMap->addColumn('GMAP_LAT', 'GmapLat', 'double', CreoleTypes::DOUBLE, false, null);

		$tMap->addColumn('ACCOUNTING_CODE', 'AccountingCode', 'string', CreoleTypes::CHAR, true, 6);

		$tMap->addColumn('ACCOUNTING_CODE_SOL', 'AccountingCodeSol', 'string', CreoleTypes::CHAR, true, 6);

		$tMap->addColumn('SIRET_NUMBER', 'SiretNumber', 'string', CreoleTypes::CHAR, true, 14);

		$tMap->addColumn('IS_GLOBAL', 'IsGlobal', 'int', CreoleTypes::INTEGER, false, 1);

		$tMap->addColumn('ORDER_MIN_AMOUNT', 'OrderMinAmount', 'double', CreoleTypes::FLOAT, false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

	} // doBuild()

} // KataoSupplierMapBuilder
